Create API key
curl --request POST \
--url https://management-api.fpjs.io/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Version: <x-api-version>' \
--data '
{
"name": "<string>",
"description": "<string>",
"environment": "<string>"
}
'import requests
url = "https://management-api.fpjs.io/api-keys"
payload = {
"name": "<string>",
"description": "<string>",
"environment": "<string>"
}
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', description: '<string>', environment: '<string>'})
};
fetch('https://management-api.fpjs.io/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tok_No3jUysGLCDuqB3RnCVf1weo",
"name": "My Public Key",
"status": "enabled",
"environment": "ae_rrETjdWcfqI6AFsk",
"type": "public",
"rate_limit": 5,
"created_at": "2024-05-31T01:24:39.506Z",
"description": "Description for my public key",
"token": "eWDrrpGGLjDQW0LBA0Wj",
"disabled_at": null
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}api-keys
Create API key
Creates an API key for the workspace associated with the Management API key. Maximum number of API keys in defined by your plan limits. If you need additional API keys, contact our support team.
POST
/
api-keys
Create API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Body
application/json
Type of an API key.
Available options:
public, secret, proxy Name of an API key.
Required string length:
3 - 255Description for an API key.
Required string length:
3 - 255Environment in which to create an API key. If omitted for proxy or secret API keys, the key will be scoped to the workspace. If omitted for other types of keys, the API key will be created in the default environment.
Response
Created API key object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I